<?xml version="1.0"?>
<scpd xmlns="urn:schemas-upnp-org:service-1-0">
  <specVersion>
    <major>1</major>
    <minor>0</minor>
  </specVersion>

  <actionList>
    <action>
      <name>PLYCTRL_Play</name>
    </action>
    <action>
      <name>PLYCTRL_Stop</name>
    </action>
    <action>
      <name>PLYCTRL_Pause</name>
    </action>
    <action>
      <name>PLYCTRL_Next</name>
    </action>
    <action>
      <name>PLYCTRL_Prev</name>
    </action>
    <action>
      <name>PLYCTRL_PlayerIsOn</name>
    </action>
    <action>
      <name>PLYCTRL_PlayerIsOff</name>
    </action>

    <action>
      <name>PLYCTRL_SetMute</name>
      <argumentList>
	<argument>
	  <name>Mute</name>
	  <direction>in</direction>
	  <relatedStateVariable>PLYCTRL_Mute</relatedStateVariable>
	</argument>
      </argumentList>
    </action>
    <action>
      <name>PLYCTRL_SetVolume</name>
      <argumentList>
	<argument>
	  <name>Volume</name>
	  <direction>in</direction>
	  <relatedStateVariable>PLYCTRL_Volume</relatedStateVariable>
	</argument>
      </argumentList>
    </action>

  </actionList>

  <serviceStateTable>

    <stateVariable sendEvents="yes">
      <name>PLYCTRL_Mute</name>
      <dataType>ui4</dataType>
      <defaultValue>0</defaultValue>
      <allowedValueRange>
        <minimum>0</minimum>
        <maximum>1</maximum>
      </allowedValueRange>
    </stateVariable>
    <stateVariable sendEvents="yes">
      <name>PLYCTRL_Volume</name>
      <dataType>ui4</dataType>
      <defaultValue>0</defaultValue>
      <allowedValueRange>
        <minimum>0</minimum>
        <maximum>100</maximum>
      </allowedValueRange>
    </stateVariable>
    <stateVariable sendEvents="yes">
      <name>PLYCTRL_Player</name>
      <dataType>ui4</dataType>
      <defaultValue>0</defaultValue>
      <allowedValueRange>
        <minimum>0</minimum>
        <maximum>1</maximum>
      </allowedValueRange>
    </stateVariable>

  </serviceStateTable>
</scpd>
